[arch-commits] Commit in rrdtool/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu May 21 17:28:54 EDT 2009


    Date: Thursday, May 21, 2009 @ 17:28:54
  Author: eric
Revision: 39865

upgpkg: rrdtool 1.3.8-1
    Upstream update, Added intltool makedepends

Modified:
  rrdtool/trunk/ChangeLog
  rrdtool/trunk/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   14 +++++++-------
 2 files changed, 13 insertions(+), 7 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-05-21 17:57:45 UTC (rev 39864)
+++ ChangeLog	2009-05-21 21:28:54 UTC (rev 39865)
@@ -1,3 +1,9 @@
+2009-05-21  Eric Belanger  <eric at archlinux.org>
+
+	* rrdtool 1.3.8-1
+	* Upstream update
+	* Added intltool makedepends
+
 2009-05-02  Eric Belanger  <eric at archlinux.org>
 
 	* rrdtool 1.3.7-1.1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-21 17:57:45 UTC (rev 39864)
+++ PKGBUILD	2009-05-21 21:28:54 UTC (rev 39865)
@@ -3,26 +3,26 @@
 # Contributor: Tom K <tom at archlinux.org>
 
 pkgname=rrdtool
-pkgver=1.3.7
-pkgrel=1.1
+pkgver=1.3.8
+pkgrel=1
 pkgdesc="Data logging and graphing application"
 arch=('i686' 'x86_64')
 url="http://www.rrdtool.org"
 license=('GPL')
 depends=('libart-lgpl' 'libpng' 'freetype2' 'libxml2' 'pango')
-makedepends=('ruby' 'python' 'tcl')
+makedepends=('intltool' 'ruby' 'python' 'tcl')
 optdepends=('tcl, python and/or ruby: to use corresponding binding')
 options=('!libtool' '!emptydirs' '!makeflags')
 source=(http://oss.oetiker.ch/rrdtool/pub/rrdtool-${pkgver}.tar.gz)
-md5sums=('e2e0da2a83e58ba2fcefba932a3cbb72')
-sha1sums=('802fc03107c5b600548beef0ee6ad6cf153fc1f1')
+md5sums=('0de79494ab969cebfbfae3d237de18fe')
+sha1sums=('1fe71706442ddd78ec8cdbaadd8ce16bb1326b05')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --enable-perl-site-install \
     --with-perl-options='INSTALLDIRS=vendor' --enable-ruby-site-install || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
   find ${pkgdir} -name '.packlist' -delete
   find ${pkgdir} -name 'perllocal.pod' -delete



More information about the arch-commits mailing list